Favicon

You are here: Home > API Reference > App Distribution > Application Downloads Info > Get list of download by user

Get list of download by user

Required Permission: mad.download.management.list

Get list of download by user

GET
/v1/organizations/organizationId/apps/applicationId/downloads/by-user
Copy to clipboard

Get list of download by user

Required Permission: mad.download.management.list

Get list of download by user

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
email string
optional
≤ 256 characters
iniDate string
optional
Format: date-time
endDate string
optional
Format: date-time

Responses

200 Response application/json
status boolean optional
data array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
total integer optional
≥ 0
member object optional
type string optional
user employee mdmUser unknown anonymous
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
picture string optional
downloads array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
from string optional
store sdk dashboard integrationApi emm adm scim agent win
build object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
os string optional
ios android macos windows package
buildPlatform string optional
≤ 128 characters
icon string optional
≤ 128 characters
versionName string optional
≤ 256 characters
info object optional
device object optional
model string optional
≤ 128 characters
type string optional
≤ 128 characters
os object optional
name string optional
≤ 128 characters
version string optional
≤ 128 characters
networkInfo object optional
ip string optional
≤ 128 characters
city string optional
≤ 128 characters
continent string optional
≤ 128 characters
country string optional
≤ 128 characters
latitude number optional
Format: float · ≥ -90 · ≤ 90
longitude number optional
Format: float · ≥ -180 · ≤ 180
postalCode string optional
≤ 128 characters
region string optional
≤ 128 characters
regionCode string optional
≤ 128 characters
timezone string optional
≤ 128 characters
visitor string optional
≤ 128 characters
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": [
        {
            "id": "string",
            "total": 0,
            "member": {
                "type": "user",
                "memberId": "string",
                "email": "[email protected]",
                "firstName": "string",
                "lastName": "string",
                "picture": "string"
            },
            "downloads": [
                {
                    "id": "string",
                    "from": "store",
                    "build": {
                        "id": "string",
                        "os": "ios",
                        "buildPlatform": "string",
                        "icon": "string",
                        "versionName": "string"
                    },
                    "info": {},
                    "device": {
                        "model": "string",
                        "type": "string"
                    },
                    "os": {
                        "name": "string",
                        "version": "string"
                    },
                    "networkInfo": {
                        "ip": "string",
                        "city": "string",
                        "continent": "string",
                        "country": "string",
                        "latitude": 0,
                        "longitude": 0,
                        "postalCode": "string",
                        "region": "string",
                        "regionCode": "string",
                        "timezone": "string",
                        "visitor": "string"
                    },
                    "updatedAt": "2024-01-01T00: 00:00Z",
                    "createdAt": "2024-01-01T00: 00:00Z"
                }
            ]
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}